Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.3.0 API Reference |

Loading...
Searching...
No Matches
Data Fields
ri_info_t Struct Reference

`#include <hdf/src/mfgr_priv.h>`

## Data Fields
int32 | index
uint16 | ri_ref
uint16 | rig_ref
gr_info_t * | gr_ptr
dim_info_t | img_dim
dim_info_t | lut_dim
uint16 | img_tag
uint16 | img_ref
int32 | img_aid
intn | acc_perm
uint16 | lut_tag
uint16 | lut_ref
gr_interlace_t | im_il
gr_interlace_t | lut_il
uintn | data_modified
uintn | meta_modified
uintn | attr_modified
char * | name
int32 | lattr_count
TBBT_TREE * | lattree
intn | access
uintn | use_buf_drvr
uintn | use_cr_drvr
uintn | comp_img
comp_coder_t | comp_type
comp_info | cinfo
uintn | ext_img
char * | ext_name
int32 | ext_offset
uintn | acc_img
uintn | acc_type
uintn | fill_img
void * | fill_value
uintn | store_fill
intn | name_generated

## Field Documentation

## ◆ acc_img

uintn acc_img

## ◆ acc_perm

intn acc_perm

## ◆ acc_type

uintn acc_type

## ◆ access

intn access

## ◆ attr_modified

uintn attr_modified

## ◆ cinfo

comp_info cinfo

## ◆ comp_img

uintn comp_img

## ◆ comp_type

comp_coder_t comp_type

## ◆ data_modified

uintn data_modified

## ◆ ext_img

uintn ext_img

## ◆ ext_name

char* ext_name

## ◆ ext_offset

int32 ext_offset

## ◆ fill_img

uintn fill_img

## ◆ fill_value

void* fill_value

## ◆ gr_ptr

gr_info_t* gr_ptr

## ◆ im_il

gr_interlace_t im_il

## ◆ img_aid

int32 img_aid

## ◆ img_dim

dim_info_t img_dim

## ◆ img_ref

uint16 img_ref

## ◆ img_tag

uint16 img_tag

## ◆ index

int32 index

## ◆ lattr_count

int32 lattr_count

## ◆ lattree

TBBT_TREE* lattree

## ◆ lut_dim

dim_info_t lut_dim

## ◆ lut_il

gr_interlace_t lut_il

## ◆ lut_ref

uint16 lut_ref

## ◆ lut_tag

uint16 lut_tag

## ◆ meta_modified

uintn meta_modified

## ◆ name

char* name

## ◆ name_generated

intn name_generated

## ◆ ri_ref

uint16 ri_ref

## ◆ rig_ref

uint16 rig_ref

## ◆ store_fill

uintn store_fill

## ◆ use_buf_drvr

uintn use_buf_drvr

## ◆ use_cr_drvr

uintn use_cr_drvr

The documentation for this struct was generated from the following file:

- hdf/src/mfgr_priv.h